%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')}

Name:           rubyripper
Version:        0.5.7
Release:        2%{?dist}
Summary:        Open-source secure ripper for Linux

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://code.google.com/p/rubyripper/
Source0:        http://rubyripper.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  desktop-file-utils, gettext
BuildRequires:  ruby(abi) = 1.8, ruby
BuildRequires:  rubygem(rake), ruby(gettext-package), cdparanoia
Requires:       ruby(abi) = 1.8, ruby(gettext-package), ruby 
Requires:       cdparanoia, vorbis-tools


%description
Rubyripper is a digital audio extraction algorithm that uses cdparanoia in
a sophisticated way to make sure that a CD rip is done successfully and
accurately. It is very similar to and inspired by EAC. Rubyripper is written
in the ruby programming language.

%package gui

Summary: GTK graphical user interface for rubyripper
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

Requires: ruby(gtk2)

%description gui
This package provides the GTK graphical interface for the rubyripper secure
audio extraction tool.

%prep
%setup -q

%build
%configure --enable-lang-all --enable-gtk2 --enable-cli
#no make needed
#make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#paths
mv $RPM_BUILD_ROOT%{_prefix}%{_bindir} $RPM_BUILD_ROOT%{_bindir}

#permissions
for f in `find $RPM_BUILD_ROOT%{_datadir}/locale/ -name "*.mo"`
	do chmod 0644 $f
done

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc GPL-3.txt README
%{_bindir}/rrip_cli
%{ruby_sitelib}/*

%files gui
%{_bindir}/rrip_gui
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/rubyripper.png


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 12 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.5.7-1
- New upstream release, notable changes including:
- a fix for discs that start with a data track
- a fix for checking the available space for some languages
- fix a typo in the logfile when errors were corrected
- fix a typo which resulted in a directory not containing the album name

* Sat Mar 14 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.5.5-2 
- Add missing vorbis-tools dependency

* Tue Mar 04 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.5.5-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 01 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.5.4-1
- New upstream release

* Tue Aug 04 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.5.2-3
- New release
- Translation file updates

* Thu Jan 24 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.5.0-2
- New release
- Minor spec cleanups
* Tue Jan 10 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.3-2
- New upstream release
- Reworked installation path patch for new release
* Sat Nov 10 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.3-2
- Add missing ruby-gettext Requires
- Fix EVR specific subpackage Requires
- Fix permissions
* Tue Nov 08 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.3-1
. New release
- Add ruby-gettext, rubygem-rake and gettext dependencies
- Split package into core and gui
- Add translations shebang
* Wed Nov 07 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.2-3
- Add Requires: ruby
- Fix License tag
- Update ruby BR for consistency
* Tue Nov 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> - 0.4.2-2
- Add missing BRs
- Use modules, not package names in ruby Requires
- Update License tag
- Fix description
* Mon Nov 05 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.4.2-1
- Initial build
